package isrp.hibernate.model.dao;

import java.util.List;

/**
 * Interfejs definiujacy podstawowe operacje dla DAO (patrz rozdzial 2)
 */

public interface GenericDaoInterface {

	public abstract Object findById(int id);

	public abstract void save(Object object);

	public abstract void saveOrUpdate(Object object);

	public abstract void delete(Object object);

	@SuppressWarnings("unchecked")
	public abstract List findAll();

}